# PulpContainerClient::ContainerContainerDistributionResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**content_guard** | **String** | An optional content-guard. If none is specified, a default one will be used. | [optional] 
**hidden** | **Boolean** | Whether this distribution should be shown in the content app. | [optional] [default to false]
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**pulp_labels** | **Hash&lt;String, String&gt;** |  | [optional] 
**repository** | **String** | The latest RepositoryVersion for this Repository will be served. | [optional] 
**base_path** | **String** | The base (relative) path component of the published url. Avoid paths that                     overlap with other distribution base paths (e.g. \&quot;foo\&quot; and \&quot;foo/bar\&quot;) | 
**name** | **String** | A unique name. Ex, &#x60;rawhide&#x60; and &#x60;stable&#x60;. | 
**repository_version** | **String** | RepositoryVersion to be served | [optional] 
**registry_path** | **String** | The Registry hostname/name/ to use with docker pull command defined by this distribution. | [optional] [readonly] 
**remote** | **String** | Remote that can be used to fetch content when using pull-through caching. | [optional] [readonly] 
**namespace** | **String** | Namespace this distribution belongs to. | [optional] [readonly] 
**private** | **Boolean** | Restrict pull access to explicitly authorized users. Defaults to unrestricted pull access. | [optional] 
**description** | **String** | An optional description. | [optional] 

## Code Sample

```ruby
require 'PulpContainerClient'

instance = PulpContainerClient::ContainerContainerDistributionResponse.new(content_guard: null,
                                 hidden: null,
                                 pulp_href: null,
                                 pulp_created: null,
                                 pulp_labels: null,
                                 repository: null,
                                 base_path: null,
                                 name: null,
                                 repository_version: null,
                                 registry_path: null,
                                 remote: null,
                                 namespace: null,
                                 private: null,
                                 description: null)
```


