# PulpContainerClient::ContainerManifestResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**digest** | **String** | sha256 of the Manifest file | 
**schema_version** | **Integer** | Manifest schema version | 
**media_type** | **String** | Manifest media type of the file | 
**listed_manifests** | **Array&lt;String&gt;** | Manifests that are referenced by this Manifest List | 
**config_blob** | **String** | Blob that contains configuration for this Manifest | [optional] 
**blobs** | **Array&lt;String&gt;** | Blobs that are referenced by this Manifest | 
**annotations** | [**Object**](.md) | Property that contains arbitrary metadata stored inside the image manifest. | [optional] [readonly] 
**labels** | [**Object**](.md) | Property describing metadata stored inside the image configuration | [optional] [readonly] 
**is_bootable** | **Boolean** | A boolean determining whether users can boot from an image or not. | [optional] [default to false]
**is_flatpak** | **Boolean** | A boolean determining whether the image bundles a Flatpak application | [optional] [default to false]

## Code Sample

```ruby
require 'PulpContainerClient'

instance = PulpContainerClient::ContainerManifestResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 digest: null,
                                 schema_version: null,
                                 media_type: null,
                                 listed_manifests: null,
                                 config_blob: null,
                                 blobs: null,
                                 annotations: null,
                                 labels: null,
                                 is_bootable: null,
                                 is_flatpak: null)
```


